Qt 5.11 | Qt Multimedia | C++ Classes | QMediaNetworkAccessControl

Qt 5.11.3 Reference Documentation

# QMediaNetworkAccessControl Class

The QMediaNetworkAccessControl class allows the setting of the Network Access Point for media related activities. More...

Header: | #include <QMediaNetworkAccessControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaNetworkAccessControl()
virtual QNetworkConfiguration | currentConfiguration() const = 0
virtual void | setConfigurations(const QList<QNetworkConfiguration> &configuration) = 0

## Signals

void | configurationChanged(const QNetworkConfiguration &configuration)

## Detailed Description

The QMediaNetworkAccessControl class allows the setting of the Network Access Point for media related activities.

The functionality provided by this control allows the setting of a Network Access Point.

This control can be used to set a network access for various network related activities. The exact nature is dependent on the underlying usage by the supported QMediaObject.

## Member Function Documentation

### `[virtual]` QMediaNetworkAccessControl::~QMediaNetworkAccessControl()

Destroys a network access control.

### `[signal]` void QMediaNetworkAccessControl::configurationChanged(const QNetworkConfiguration &configuration)

### `[pure virtual]` QNetworkConfiguration QMediaNetworkAccessControl::currentConfiguration() const

### `[pure virtual]` void QMediaNetworkAccessControl::setConfigurations(const QList<QNetworkConfiguration> &configuration)